Commit 0219b8b6 authored by Jay Painter's avatar Jay Painter

Changed glib.h so it's created by merging glib_pre1.h, glibconfig.h, and

glib_pre2.h.  This eliminates the need to install glibconfig.h in $(includedir)
and fixes some builddir != srcdir when compiling multiple archatecture types
from the same source code. -Jay
parent 4d6f11a6
......@@ -17,12 +17,23 @@ libglib_la_SOURCES = \
gstring.c
include_HEADERS = \
glib.h \
glibconfig.h
glib.h
libglib_la_LDFLAGS = -version-info 1:0:0
INCLUDES =
INCLUDES = -I$(top_srcdir)
BUILT_SOURCES = glib.h
glib.h: glibconfig.h glib_pre1.h glib_pre2.h
$(srcdir)/makeglib_h $(srcdir)/glib_pre1.h \
$(top_builddir)/glibconfig.h \
$(srcdir)/glib_pre2.h > $@
EXTRA_DIST = \
glib_pre1.h \
glib_pre2.h \
makeglib_h
noinst_PROGRAMS = testglib
testglib_LDADD = $(top_builddir)/libglib.la
......@@ -36,3 +47,5 @@ files:
release:
$(MAKE) dist distdir=$(PACKAGE)`date +"%y%m%d"`
$(DEP_FILES) : $(BUILT_SOURCES)
......@@ -85,12 +85,18 @@ libglib_la_SOURCES = \
gstring.c
include_HEADERS = \
glib.h \
glibconfig.h
glib.h
libglib_la_LDFLAGS = -version-info 1:0:0
INCLUDES =
INCLUDES = -I$(top_srcdir)
BUILT_SOURCES = glib.h
EXTRA_DIST = \
glib_pre1.h \
glib_pre2.h \
makeglib_h
noinst_PROGRAMS = testglib
testglib_LDADD = $(top_builddir)/libglib.la
......@@ -444,6 +450,11 @@ clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean
glib.h: glibconfig.h glib_pre1.h glib_pre2.h
$(srcdir)/makeglib_h $(srcdir)/glib_pre1.h \
$(top_builddir)/glibconfig.h \
$(srcdir)/glib_pre2.h > $@
.PHONY: files release
files:
......@@ -454,6 +465,8 @@ files:
release:
$(MAKE) dist distdir=$(PACKAGE)`date +"%y%m%d"`
$(DEP_FILES) : $(BUILT_SOURCES)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
......@@ -1594,19 +1594,16 @@ test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
if eval "test x$GCC = xyes"; then
test `echo "$CFLAGS" | grep "\-Wall" > /dev/null 2> /dev/null`
if test ! $?; then
if test ! `echo "$CFLAGS" | grep "\-Wall" 2> /dev/null` ; then
CFLAGS="$CFLAGS -Wall"
fi
if eval "test x$enable_ansi = xyes"; then
test `echo "$CFLAGS" | grep "\-ansi" > /dev/null 2> /dev/null`
if test ! $?; then
if test ! `echo "$CFLAGS" | grep "\-ansi" 2> /dev/null` ; then
CFLAGS="$CFLAGS -ansi"
fi
test `echo "$CFLAGS" | grep "\-pedantic" > /dev/null 2> /dev/null`
if test ! $?; then
if test ! `echo "$CFLAGS" | grep "\-pedantic" 2> /dev/null` ; then
CFLAGS="$CFLAGS -pedantic"
fi
fi
......@@ -1614,7 +1611,7 @@ fi
# Checks for header files.
echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
echo "configure:1618: checking how to run the C preprocessor" >&5
echo "configure:1615: checking how to run the C preprocessor" >&5
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
CPP=
......@@ -1629,13 +1626,13 @@ else
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp.
cat > conftest.$ac_ext <<EOF
#line 1633 "configure"
#line 1630 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1639: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
{ (eval echo configure:1636: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
:
......@@ -1646,13 +1643,13 @@ else
rm -rf conftest*
CPP="${CC-cc} -E -traditional-cpp"
cat > conftest.$ac_ext <<EOF
#line 1650 "configure"
#line 1647 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1656: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
{ (eval echo configure:1653: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
:
......@@ -1675,12 +1672,12 @@ fi
echo "$ac_t""$CPP" 1>&6
echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
echo "configure:1679: checking for ANSI C header files" >&5
echo "configure:1676: checking for ANSI C header files" >&5
if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 1684 "configure"
#line 1681 "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
......@@ -1688,7 +1685,7 @@ else
#include <float.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1692: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
{ (eval echo configure:1689: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
rm -rf conftest*
......@@ -1705,7 +1702,7 @@ rm -f conftest*
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
#line 1709 "configure"
#line 1706 "configure"
#include "confdefs.h"
#include <string.h>
EOF
......@@ -1723,7 +1720,7 @@ fi
if test $ac_cv_header_stdc = yes; then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
#line 1727 "configure"
#line 1724 "configure"
#include "confdefs.h"
#include <stdlib.h>
EOF
......@@ -1744,7 +1741,7 @@ if test "$cross_compiling" = yes; then
:
else
cat > conftest.$ac_ext <<EOF
#line 1748 "configure"
#line 1745 "configure"
#include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
......@@ -1755,7 +1752,7 @@ if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }
EOF
if { (eval echo configure:1759: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
if { (eval echo configure:1756: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
then
:
else
......@@ -1781,12 +1778,12 @@ fi
# Checks for library functions.
echo $ac_n "checking for vprintf""... $ac_c" 1>&6
echo "configure:1785: checking for vprintf" >&5
echo "configure:1782: checking for vprintf" >&5
if eval "test \"`echo '$''{'ac_cv_func_vprintf'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 1790 "configure"
#line 1787 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char vprintf(); below. */
......@@ -1809,7 +1806,7 @@ vprintf();
; return 0; }
EOF
if { (eval echo configure:1813: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
if { (eval echo configure:1810: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest*
eval "ac_cv_func_vprintf=yes"
else
......@@ -1833,12 +1830,12 @@ fi
if test "$ac_cv_func_vprintf" != yes; then
echo $ac_n "checking for _doprnt""... $ac_c" 1>&6
echo "configure:1837: checking for _doprnt" >&5
echo "configure:1834: checking for _doprnt" >&5
if eval "test \"`echo '$''{'ac_cv_func__doprnt'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 1842 "configure"
#line 1839 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char _doprnt(); below. */
......@@ -1861,7 +1858,7 @@ _doprnt();
; return 0; }
EOF
if { (eval echo configure:1865: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
if { (eval echo configure:1862: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest*
eval "ac_cv_func__doprnt=yes"
else
......@@ -1887,7 +1884,7 @@ fi
echo $ac_n "checking size of char""... $ac_c" 1>&6
echo "configure:1891: checking size of char" >&5
echo "configure:1888: checking size of char" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_char'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
......@@ -1895,7 +1892,7 @@ else
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
#line 1899 "configure"
#line 1896 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
......@@ -1906,7 +1903,7 @@ main()
exit(0);
}
EOF
if { (eval echo configure:1910: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
if { (eval echo configure:1907: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_char=`cat conftestval`
else
......@@ -1926,7 +1923,7 @@ EOF
echo $ac_n "checking size of short""... $ac_c" 1>&6
echo "configure:1930: checking size of short" >&5
echo "configure:1927: checking size of short" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_short'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
......@@ -1934,7 +1931,7 @@ else
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
#line 1938 "configure"
#line 1935 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
......@@ -1945,7 +1942,7 @@ main()
exit(0);
}
EOF
if { (eval echo configure:1949: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
if { (eval echo configure:1946: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_short=`cat conftestval`
else
......@@ -1965,7 +1962,7 @@ EOF
echo $ac_n "checking size of long""... $ac_c" 1>&6
echo "configure:1969: checking size of long" >&5
echo "configure:1966: checking size of long" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_long'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
......@@ -1973,7 +1970,7 @@ else
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
#line 1977 "configure"
#line 1974 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
......@@ -1984,7 +1981,7 @@ main()
exit(0);
}
EOF
if { (eval echo configure:1988: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
if { (eval echo configure:1985: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_long=`cat conftestval`
else
......@@ -2004,7 +2001,7 @@ EOF
echo $ac_n "checking size of int""... $ac_c" 1>&6
echo "configure:2008: checking size of int" >&5
echo "configure:2005: checking size of int" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_int'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
......@@ -2012,7 +2009,7 @@ else
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
#line 2016 "configure"
#line 2013 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
......@@ -2023,7 +2020,7 @@ main()
exit(0);
}
EOF
if { (eval echo configure:2027: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
if { (eval echo configure:2024: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_int=`cat conftestval`
else
......@@ -2043,7 +2040,7 @@ EOF
echo $ac_n "checking size of void *""... $ac_c" 1>&6
echo "configure:2047: checking size of void *" >&5
echo "configure:2044: checking size of void *" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_void_p'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
......@@ -2051,7 +2048,7 @@ else
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
#line 2055 "configure"
#line 2052 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
......@@ -2062,7 +2059,7 @@ main()
exit(0);
}
EOF
if { (eval echo configure:2066: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
if { (eval echo configure:2063: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_void_p=`cat conftestval`
else
......@@ -2082,56 +2079,15 @@ EOF
echo $ac_n "checking for long double""... $ac_c" 1>&6
echo "configure:2087: checking for long double" >&5
if eval "test \"`echo '$''{'ac_cv_c_long_double'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
if test "$GCC" = yes; then
ac_cv_c_long_double=yes
else
if test "$cross_compiling" = yes; then
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
#line 2098 "configure"
#include "confdefs.h"
int main() {
/* The Stardent Vistra knows sizeof(long double), but does not support it. */
long double foo = 0.0;
/* On Ultrix 4.3 cc, long double is 4 and double is 8. */
exit(sizeof(long double) < sizeof(double)); }
EOF
if { (eval echo configure:2106: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
then
ac_cv_c_long_double=yes
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -fr conftest*
ac_cv_c_long_double=no
fi
rm -fr conftest*
fi
fi
fi
echo "$ac_t""$ac_cv_c_long_double" 1>&6
if test $ac_cv_c_long_double = yes; then
cat >> confdefs.h <<\EOF
#define HAVE_LONG_DOUBLE 1
EOF
fi
# long doubles were not used, and a portability problem
# AC_C_LONG_DOUBLE
echo $ac_n "checking for working const""... $ac_c" 1>&6
echo "configure:2130: checking for working const" >&5
echo "configure:2086: checking for working const" >&5
if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 2135 "configure"
#line 2091 "configure"
#include "confdefs.h"
int main() {
......@@ -2180,7 +2136,7 @@ ccp = (char const *const *) p;
; return 0; }
EOF
if { (eval echo configure:2184: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
if { (eval echo configure:2140: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_c_const=yes
else
......@@ -2201,21 +2157,21 @@ EOF
fi
echo $ac_n "checking for inline""... $ac_c" 1>&6
echo "configure:2205: checking for inline" >&5
echo "configure:2161: checking for inline" >&5
if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
ac_cv_c_inline=no
for ac_kw in inline __inline__ __inline; do
cat > conftest.$ac_ext <<EOF
#line 2212 "configure"
#line 2168 "configure"
#include "confdefs.h"
int main() {
} $ac_kw foo() {
; return 0; }
EOF
if { (eval echo configure:2219: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
if { (eval echo configure:2175: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_c_inline=$ac_kw; break
else
......@@ -2245,17 +2201,17 @@ for ac_hdr in float.h
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
echo "configure:2249: checking for $ac_hdr" >&5
echo "configure:2205: checking for $ac_hdr" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 2254 "configure"
#line 2210 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:2259: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
{ (eval echo configure:2215: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
rm -rf conftest*
......@@ -2288,17 +2244,17 @@ for ac_hdr in limits.h
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
echo "configure:2292: checking for $ac_hdr" >&5
echo "configure:2248: checking for $ac_hdr" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 2297 "configure"
#line 2253 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:2302: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
{ (eval echo configure:2258: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
rm -rf conftest*
......@@ -2331,17 +2287,17 @@ for ac_hdr in values.h
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
echo "configure:2335: checking for $ac_hdr" >&5
echo "configure:2291: checking for $ac_hdr" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 2340 "configure"
#line 2296 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:2345: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
{ (eval echo configure:2301: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
rm -rf conftest*
......@@ -2371,16 +2327,16 @@ fi
done
# Check for strerror and strsignal functions
for ac_func in strerror strsignal
# Check for strerror, strsignal, and memmove functions
for ac_func in strerror strsignal memmove
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
echo "configure:2379: checking for $ac_func" >&5
echo "configure:2335: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 2384 "configure"
#line 2340 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
......@@ -2403,7 +2359,7 @@ $ac_func();
; return 0; }
EOF
if { (eval echo configure:2407: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
if { (eval echo configure:2363: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
else
......@@ -2430,9 +2386,9 @@ done
# Check for sys_errlist
echo $ac_n "checking sys_errlist""... $ac_c" 1>&6
echo "configure:2434: checking sys_errlist" >&5
echo "configure:2390: checking sys_errlist" >&5
cat > conftest.$ac_ext <<EOF
#line 2436 "configure"
#line 2392 "configure"
#include "confdefs.h"
int main() {
......@@ -2443,7 +2399,7 @@ sys_errlist[sys_nerr-1][0] = 0;
; return 0; }
EOF
if { (eval echo configure:2447: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
if { (eval echo configure:2403: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest*
glib_ok=yes
else
......@@ -2463,9 +2419,9 @@ fi
# Check for sys_siglist
echo $ac_n "checking sys_siglist""... $ac_c" 1>&6
echo "configure:2467: checking sys_siglist" >&5
echo "configure:2423: checking sys_siglist" >&5
cat > conftest.$ac_ext <<EOF
#line 2469 "configure"
#line 2425 "configure"
#include "confdefs.h"
int main() {
......@@ -2475,7 +2431,7 @@ sys_siglist[1][0] = 0;
; return 0; }
EOF
if { (eval echo configure:2479: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
if { (eval echo configure:2435: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
rm -rf conftest*
glib_ok=yes
else
......@@ -2496,16 +2452,16 @@ fi
# Check for sys/select.h
echo $ac_n "checking fd_set and sys/select""... $ac_c" 1>&6
echo "configure:2500: checking fd_set and sys/select" >&5
echo "configure:2456: checking fd_set and sys/select" >&5
cat > conftest.$ac_ext <<EOF
#line 2502 "configure"
#line 2458 "configure"
#include "confdefs.h"
#include <sys/types.h>
int main() {
fd_set readMask, writeMask;
; return 0; }
EOF
if { (eval echo configure:2509: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
if { (eval echo configure:2465: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
gtk_ok=yes
else
......@@ -2517,7 +2473,7 @@ fi
rm -f conftest*
if test $gtk_ok = no; then
cat > conftest.$ac_ext <<EOF
#line 2521 "configure"
#line 2477 "configure"
#include "confdefs.h"
#include <sys/select.h>
EOF
......@@ -2543,6 +2499,97 @@ EOF
fi
# This stuff is here, only so that we can define these
# things in glibconfig.h. If ../config.h was installed
# (under some other name?) then the definitions would
# belong there. (They are only used in GDK)
# Look for wide string functions in wchar.h or wcstr.h
echo $ac_n "checking for <wchar.h> or <wcstr.h>""... $ac_c" 1>&6
echo "configure:2511: checking for <wchar.h> or <wcstr.h>" >&5
cat > conftest.$ac_ext <<EOF
#line 2513 "configure"
#include "confdefs.h"
#include <wchar.h>
EOF